# Uses of Enum Class
com.google.testing.compile.Compilation.Status

## Uses of Compilation.Status in com.google.testing.compile

Subclasses with type arguments of type Compilation.Status in com.google.testing.compile
Modifier and Type
Class
Description
`static enum`
`Compilation.Status`
The status of a compilation.
Methods in com.google.testing.compile that return Compilation.Status
Modifier and Type
Method
Description
`Compilation.Status`
Compilation.`status()`
The status of the compilation.
`static Compilation.Status`
Compilation.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Compilation.Status[]`
Compilation.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.